# $Id: smeserver-sane.spec,v 1.2 2021/11/10 15:22:23 brianr Exp $
# Authority: dungog
# Name: Stephen Noble

%define name smeserver-sane
%define version 0.3
%define release 4
Summary: Set up sane for scanner.
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://www.sane-project.org
Group: SMEserver/addon
Source: %{name}-%{version}.tar.xz


BuildRoot: /var/tmp/%{name}-%{version}
BuildArchitectures: noarch
BuildRequires: smeserver-devtools >= 1.13.1-03
Requires: smeserver-release >= 7.1
Requires: sane-backends >= 1.0.17
Requires: smeserver-xinetd
AutoReqProv: no

%description
SANE is a universal scanner interface.

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 0.3-4.sme
- Fix e-smith references in smeserver-sane [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 0.3-3.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Wed Nov 10 2021 Brian Read <brianr@bjsystems.co.uk> 0.3-2.sme
- Add -update event to createlinks [SME: 11068]
- initial import to SME10

* Thu Sep 24 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 0.3-1.sme
- Initial release to contribs9

* Fri Apr 18 2008 Shad L. Lords <slords@mail.com> 0.1-7
- Move xinetd stuff to new package
- Clean up service names

* Fri Apr 18 2008 Stephen Noble 0.1-6
- fixes for smecontribs

* Fri Apr 11 2008 Anne Aublanc 0.1-5
- minor fixes

* Fri Apr 11 2008 Stephen Noble 0.1-4
- more fixes

* Thu Apr 10 2008 Stephen Noble 0.1-3
- more fixes

* Wed Apr 09 2008 Stephen Noble 0.1-2
- minor fixes

* Sun Apr 06 2008 Anne Aublanc and JP Pialasse 0.1-1
- initial release

%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"    >> %{name}-%{version}-filelist

%pre
/usr/sbin/groupadd \
  -g 510 saned 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
